﻿<!DOCTYPE html>
<html lang="en">
<head>
    <title>The Right Way - Admin Template</title>

    <!-- META SECTION -->
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
    <link rel="icon" href="favicon.ico" type="image/x-icon">
    <!-- END META SECTION -->
    <!-- CSS INCLUDE -->
    <link rel="stylesheet" href="~/css/styles.css?v=1.0.3">
    <!-- EOF CSS INCLUDE -->
    @*<link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.rtl.css" />*@
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap-grid.min.css" />
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    @*<link rel="stylesheet" href="~/MyBankApp.styles.css" asp-append-version="true" />*@
    @*<script src="~/lib/jquery/dist/jquery.min.js"></script>*@

    <!-- JQuery links -->
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.10.0.min.js" asp-append-version="true"></script>
    <script src="https://ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/jquery-ui.min.js" asp-append-version="true"></script>
    <link rel="stylesheet" type="text/css" href="https://ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/blitzer/jquery-ui.css"/>
    @*<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.js"></script>*@


</head>
<body class="indent indent--rounded indent--shadowed">

    <!-- PAGE WRAPPER -->
    <div class="page page--w-header page--w-container">

        <!-- PAGE HEADER -->
        <header class="page__header invert">
            <div class="logo-holder">
                <a href="/" class="logo-text d-none d-lg-block"><strong class="text-primary">#</strong> <strong>MyBankApp</strong></a>
                <a href="/" class="logo-text d-lg-none"><strong class="text-primary">#</strong><strong>MBA</strong></a>
            </div>

            <div class="col-sm-7 adminPage">
                @if (User.IsInRole("Administrator"))
                {
                    <a asp-area="Admin" asp-controller="Home" asp-action="Index">
                        <h2>Administrator page</h2>
                    </a>
                }
            </div>
            <div class="col-sm-3 box-fluid">

                @if (User.Identity.IsAuthenticated)
                {

                    <div>
                        Hello, @User.Identity.Name!
                    </div>
                }
            </div>

        </header>
        <!-- //END PAGE HEADER -->
        <!-- PAGE CONTAINER -->
        <div class="page__container invert">
            <nav class="horizontal-navigation">
                <button class="btn btn-light btn--icon" data-action="horizontal-show"><span class="fa fa-bars"></span> Toggle navigation</button>
                <ul>
                    <li class="title">Main</li>
                    <li class="openable" id="dashboard">
                        <a href="/Home/Index">
                            <span class="icon li-home"></span>
                            <span class="text">Home</span>
                        </a>
                    </li>
                    @if (!User.Identity.IsAuthenticated)
                    {

                        <li id="signin">
                            <a asp-area="Identity" asp-controller="Account" asp-action="Login">
                                <span class=""></span>
                                <span class="text">Sign in</span>
                            </a>
                        </li>
                        <li id="register">
                            <a asp-area="Identity" asp-controller="Account" asp-action="Register">
                                <span class="text">Register</span>
                            </a>
                        </li>
                    }
                    else
                    {
                        <li>
                            <a onclick=activateForm() asp-controller="Account" asp-action="All" method="Get">
                                
                                    <span class="text">My Accounts</span>
                                
                            </a>
                        </li>

                        <li>
                            <a asp-controller="Transaction" asp-action="All" method="Get">
                                
                                    <span class="text">Transactions</span>
                                
                            </a>
                        </li>

                          <li>
                            <a asp-controller="Purchase" asp-action="BoughtCurrencies" method="Get">
                                
                                    <span class="text">Currencies</span>
                            </a>
                        </li>
                        
                        <li id="logout">
                            <a>
                                <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Page("/", new { area = ""})" method="post">
                                    <button >
                                        <span class="text">Logout</span>
                                    </button>
                                </form>
                            </a>
                        </li>
                    }
                </ul>
            </nav>
        </div>
        <!-- //END PAGE CONTAINER -->
        <!-- PAGE CONTENT WRAPPER -->
        <div class="page__content" id="page-content">

            <!-- PAGE CONTENT CONTAINER -->
            <div class="content" id="content">

                <!-- PAGE HEADING -->
                <div class="renderbody">
                    @RenderBody()
                </div>
                <!-- //END PAGE HEADING -->

                <div class="container-fluid">
                    <div class="card margin-bottom-0">
                        <div class="card-body text-muted">
                            &copy; All rights reserved. The Right Admin - Responsive Admin Template @DateTime.Now.Year
                        </div>
                    </div>
                </div>
            </div>
            <!-- //END PAGE CONTENT CONTAINER -->

        </div>
        <!-- //END PAGE CONTENT -->

    </div>
    <!-- //END PAGE WRAPPER -->
    <!-- TEMPLATE SETTINGS -->
    <!-- //END TEMPLATE SETTINGS -->
    <!-- IMPORTANT SCRIPTS -->
    @*<script type="text/javascript" src="js/vendors/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="js/vendors/jquery/jquery-migrate.min.js"></script>
    <script type="text/javascript" src="js/vendors/bootstrap/bootstrap.bundle.min.js"></script>*@

    @*<script type="text/javascript" src="js/vendors/mcustomscrollbar/jquery.mCustomScrollbar.concat.min.js"></script>*@
    <!-- END IMPORTANT SCRIPTS -->
    <!-- THIS PAGE SCRIPTS ONLY -->
    <!-- //END THIS PAGE SCRIPTS ONLY -->
    <!-- TEMPLATE SCRIPTS -->
  @*  <script type="text/javascript" src="js/app.js"></script>
    <script type="text/javascript" src="js/plugins.js"></script>
    <script type="text/javascript" src="js/demo.js"></script>
    <script type="text/javascript" src="js/settings.js"></script>*@
    <!-- END TEMPLATE SCRIPTS -->
    @*<script src="~/lib/jquery/dist/jquery.min.js"></script>*@
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @*@await RenderSectionAsync("Scripts", required: false)*@
   
</body>
</html>